## libsdl1.2 1.2.15%2Bdfsg1

=== debian/changelog ===
libsdl1.2 (1.2.15+dfsg1-3) unstable; urgency=medium

  * Disable suppot for DirectFB (Closes: #816125)
  * d/control: Update Vcs-* URLs, use https
  * Fixes for reproducible builds:
    - timestamps_in_tarball, use --clamp-mtime with changelog as date
    - timestamps_in_gzip_headers, export GZIP="-9n"
  * Drop -dbg package

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 12 Mar 2016 00:36:47 +0000

libsdl1.2 (1.2.15+dfsg1-2) unstable; urgency=medium

  * d/control: remove "Multi-Arch: no" from -dev package, despite what
    lintian says there's an error processing the field (#768353) and the
    package got rejected

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 21 Feb 2016 17:46:19 +0000

libsdl1.2 (1.2.15+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - Repack without SDL_qsort.c due to licence problem
  * Use newer relicenced version for SDL_qsort.c (Closes: #814445)
    Thanks the anonymous reporter, Ben Hutchings for looking into it and
    get in contact with the original author, the original author Gareth
    McCaughan for prompt relicencing.
    - d/patches/replace-relicenced-SDL_qsort.patch
  * Bump Policy Standards-Version to 3.9.7 (no changes needed)
  * Set -dev package as "Multi-Arch: no" (quells lintian error:
    old-style-config-script-multiarch-path)
  * d/watch: Add dfsg and pgpsig mangling
  * d/upstream/signing-key.asc: Import upstream gpg key for uscan to
    verify the orig tarball

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 21 Feb 2016 16:00:03 +0000

libsdl1.2 (1.2.15-12) unstable; urgency=medium

  * Change to improve build reproducibility: tar file permission modes.
    Thanks Reiner Herrmann. (Closes: #803579)
  * Remove Barry deFreese from uploaders

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 01 Nov 2015 00:07:00 +0000

libsdl1.2 (1.2.15-11) unstable; urgency=medium

  * Bump Policy Standards-Version to 3.9.6 (no changes needed)
  * Change for reproducible builds: use "--owner=0 --group=0" when
    creating the "examples" tar file (Closes: #778572).  Thanks Chris Lamb
    and rest of the Reproducible Builds team for the analysis and patch
    suggested.

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 27 Apr 2015 22:35:22 +0100

=== debian/control ===
Source: libsdl1.2
Priority: optional
Section: libs
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>,
           Manuel A. Fernandez Montecelo <mafm@debian.org>
Standards-Version: 3.9.7
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               nasm [any-i386],
               libx11-dev, 
               libxext-dev,
               libxt-dev,
               libxv-dev,
               x11proto-core-dev,
               libaudiofile-dev,
               libpulse-dev,
               libgl1-mesa-dev,
               libasound2-dev [linux-any],
               libcaca-dev,
               libusbhid-dev [kfreebsd-any],
               libglu1-mesa-dev
Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl1.2.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sdl/packages/libsdl1.2.git
Homepage: http://www.libsdl.org/

Package: libsdl1.2debian
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libsdl1.2debian-all,
          libsdl1.2debian-alsa,
          libsdl1.2debian-esd,
          libsdl1.2debian-oss,
          libsdl1.2debian-nas,
          libsdl1.2debian-pulseaudio
Conflicts: libsdl1.2debian-all,
           libsdl1.2debian-alsa,
           libsdl1.2debian-esd,
           libsdl1.2debian-oss,
           libsdl1.2debian-nas,
           libsdl1.2debian-pulseaudio,
           libsdl1.2-all,
           libsdl1.2-esd,
           libsdl1.2-oss,
           libsdl1.2-nas,
           libsdl1.2
Description: Simple DirectMedia Layer
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This version of SDL is compiled with X11 and caca graphics drivers and OSS,
 ALSA and PulseAudio sound drivers.

Package: libsdl1.2-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libsdl1.2debian (= ${binary:Version}),
         libasound2-dev [linux-any],
         libcaca-dev,
         libglu1-mesa-dev | libglu-dev,
         libpulse-dev,
         libusbhid-dev [kfreebsd-any],
         libx11-dev,
         libxext-dev
Replaces: libsdl-dev
Conflicts: libsdl-dev
Provides: libsdl-dev
Description: Simple DirectMedia Layer development files
 SDL is a library that allows programs portable low level access to a video
 framebuffer, audio output, mouse, and keyboard.
 .
 This package contains the files needed to compile and link programs which
 use SDL.

## libsdl1.2 1.2.15%2Bdfsg2

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

confflags = --disable-rpath --enable-sdl-dlopen \
            --disable-video-ggi --disable-video-svga --disable-video-aalib \
            --disable-nas --disable-esd --disable-arts \
            --disable-alsa-shared --disable-pulseaudio-shared \
            --disable-x11-shared \
            --enable-video-caca

# Only use NASM routines on x86 CPUs
ifeq ($(DEB_HOST_ARCH_CPU),i386)
	confflags += --enable-nasm
endif

# Don't use PlayStation 3 Cell driver on powerpc and ppc64
ifneq (,$(findstring $(DEB_HOST_ARCH_CPU),powerpc ppc64))
	confflags += --enable-video-ps3=no \
	             --disable-altivec
endif


%:
	dh $@

override_dh_autoreconf:
        # aclocal needs to include in specific order, and/or it seems that
        # doesn't try to find .m4 files in /usr/share/aclocal at all.  Updates
        # to both .m4 files and ltmain.sh (aclocal and libtoolize) are necessary
        # to support new architectures aarch64 (arm64) and powerpc64le, and this
        # seems the more straight way to achieve it.
        #
        # An alternative would be to just build-depend on libesd0-dev,
        # libasound2-dev and libltdl-dev to provide the files "esd.m4 alsa.m4
        # ltdl.m4" in /usr/share/aclocal, and not use the local "acinclude" dir
        # at all, but this pull even more dependencies, and unneeded ones.
        #
        # Another equivalent alternative, but more verbose:
        #
        # ACLOCAL="cat acinclude/esd.m4 acinclude/alsa.m4 acinclude/ltdl.m4 \
        #           /usr/share/aclocal/libtool.m4 \
        #           /usr/share/aclocal/ltoptions.m4 \
        #           /usr/share/aclocal/ltversion.m4 \
        #           /usr/share/aclocal/ltsugar.m4 >> aclocal.m4; aclocal"
        #          LIBTOOLIZE="libtoolize -f -i" dh_autoreconf --as-needed
        #          autoreconf -- -I acinclude -f -i
	AUTOHEADER=true ACLOCAL="aclocal --force --install -I /usr/share/aclocal/ -I acinclude" LIBTOOLIZE="libtoolize -fi" dh_autoreconf --as-needed
        # To verify that it worked, grep should find these strings:
        #
        #rgrep -i aarch64 .
        #rgrep -r powerpc64le .

override_dh_auto_configure:
	dh_auto_configure -- $(confflags)

override_dh_auto_build:
	dh_auto_build
	GZIP="-9n" tar czf debian/examples.tar.gz test --owner=0 --group=0 --mode=go=rX,u+rw,a-s --clamp-mtime --mtime="@$(SOURCE_DATE_EPOCH)" --sort=name

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/examples.tar.gz

override_dh_install:
	rm -f debian/tmp/usr/lib/*/libSDL*.la
	dh_install

override_dh_installdocs:
	dh_installdocs -Xdocs/man3/SDL

## libsdl1.2 1.2.15+dfsg1

=== debian/changelog ===
libsdl1.2 (1.2.15+dfsg1-3ubuntu0.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/*.patch: sync security patches with 1.2.15+dfsg2-5
      package. Thanks to Abhijith PA and Felix Geyer.
    - CVE-2019-7572, CVE-2019-7573, CVE-2019-7574, CVE-2019-7575,
      CVE-2019-7576, CVE-2019-7577, CVE-2019-7578, CVE-2019-7635,
      CVE-2019-7636, CVE-2019-7637, CVE-2019-7638, CVE-2019-13616.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 15 Oct 2019 09:59:59 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libsdl1.2
 Priority: optional
 Section: libs
-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Felix Geyer <fgeyer@debian.org>,
            Manuel A. Fernandez Montecelo <mafm@debian.org>
 Standards-Version: 3.9.7

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,10 @@
 #!/usr/bin/make -f
 
-include /usr/share/dpkg/architecture.mk
-include /usr/share/dpkg/pkg-info.mk
+SHLIBVER = 1.2.11
 
-confflags = --disable-rpath --enable-sdl-dlopen \
+DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
+
+confflags = --disable-rpath --enable-sdl-dlopen --disable-loadso \
             --disable-video-ggi --disable-video-svga --disable-video-aalib \
             --disable-nas --disable-esd --disable-arts \
             --disable-alsa-shared --disable-pulseaudio-shared \
@@ -22,8 +23,12 @@
 endif
 
 
+# for reproducible builds, timestamps_in_tarball
+SOURCE_DATE := $(shell dpkg-parsechangelog --show-field=Date)
+
+
 %:
-	dh $@
+	dh $@ --with autoreconf --parallel
 
 override_dh_autoreconf:
         # aclocal needs to include in specific order, and/or it seems that
@@ -57,15 +62,21 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	GZIP="-9n" tar czf debian/examples.tar.gz test --owner=0 --group=0 --mode=go=rX,u+rw,a-s --clamp-mtime --mtime="@$(SOURCE_DATE_EPOCH)" --sort=name
+	GZIP="-9n" tar czf debian/examples.tar.gz test --owner=0 --group=0 --mode=go=rX,u+rw,a-s --clamp-mtime --mtime="$(SOURCE_DATE)"
 
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f debian/examples.tar.gz
 
 override_dh_install:
-	rm -f debian/tmp/usr/lib/*/libSDL*.la
-	dh_install
+	dh_install --fail-missing -XlibSDL.la -XlibSDLmain.la
 
 override_dh_installdocs:
 	dh_installdocs -Xdocs/man3/SDL
+
+override_dh_installexamples:
+	dh_installexamples -plibsdl1.2-dev debian/examples.tar.gz
+	dh_installexamples --remaining-packages
+
+override_dh_makeshlibs:
+	dh_makeshlibs -V"libsdl1.2debian (>= $(SHLIBVER))"

## libsdl1.2 1.2.15+dfsg2

=== debian/changelog ===
libsdl1.2 (1.2.15+dfsg2-6) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Re-export upstream signing key without extra signatures.

  [ Maximilian Engelhardt ]
  * SDL_x11events.c: properly handle input focus events (Closes: #980253)

 -- Fabian Greffrath <fabian@debian.org>  Thu, 18 Feb 2021 08:52:57 +0100

libsdl1.2 (1.2.15+dfsg2-5) unstable; urgency=medium

  [ Abhijith PA ]
  * Fix CVE-2019-7572, CVE-2019-7573, CVE-2019-7574, CVE-2019-7575
    CVE-2019-7576, CVE-2019-7577, CVE-2019-7578, CVE-2019-7635, CVE-2019-7636
    CVE-2019-7637, CVE-2019-7638
    (Closes: #924609)

  [ Felix Geyer ]
  * Fix CVE-2019-13616

 -- Felix Geyer <fgeyer@debian.org>  Tue, 17 Sep 2019 22:34:12 +0200

libsdl1.2 (1.2.15+dfsg2-4) unstable; urgency=medium

  * d/rules: Add @ in 'tar --mtime="@$(SOURCE_DATE_EPOCH)"', otherwise the
    date is not valid

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 25 Oct 2018 01:47:02 +0200

libsdl1.2 (1.2.15+dfsg2-3) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * d/control
    - Use https in Homepage URL
    - Set "Rules-Requires-Root: no"
    - Drop ancient build-dependency on "dpkg-dev (>= 1.16.1~)"
  * d/watch: use https in URL
  * d/copyright: use https in Format, Source and Upstream-Contact URLs
  * Switch to debhelper compat level v11
    - Drop "--with autoreconf --parallel", they are the default now, and
      build-dependency on dh-autoreconf
    - Drop override of dh_installexamples and instead use file
      debian/libsdl1.2-dev.examples
  * d/rules:
    - include /usr/share/dpkg/architecture.mk and .../pkg-info.mk to
      provide DEB_HOST_* and SOURCE_DATE_EPOCH, instead of getting them
      through shell invocations.
    - dh_install --fail-missing is deprecated and about to be removed,
      use dh_missing instead

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 20 Oct 2018 14:25:59 +0200

libsdl1.2 (1.2.15+dfsg2-2) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Ryan C. Gordon (icculus) ]
  * Disable --disable-loadso switch, it was useless and it is wrong
    in many cases (see LP: #1740517 for discussion)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Sep 2018 19:52:34 +0200

libsdl1.2 (1.2.15+dfsg2-1) unstable; urgency=medium

  * Team upload
  * Ack previous NMU, thanks
  * debian/patches/SDL-1.2.15-vec_perm-ppc64le.patch:
    - fix test failures on ppc64el, by fixing a wrong ordering on BE
      systems. Thanks Frédéric Bonnard for the patch!

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 30 May 2018 15:27:49 +0200

libsdl1.2 (1.2.15+dfsg2-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Manuel A. Fernandez Montecelo ]
  * Do not build-depend on libaudiofile, unused.
    Closes: #857670

  [ Jonas Smedegaard ]
  * Add script to check copyright and licensing of source.
  * Update copyright info:
    + Rewrite copyright file in machine-readable format.
    + Fix cover many secondary copyright holders and licenses.
  * Repackage upstream source to exclude more potentially non-DFSG code,
    and add patch to avoid missing code.
    Closes: Bug#834204.
  * Update watch file:
    + Bump to version 4.
    + Add usage comment.
    + Set repacksuffix.
  * Drop repackaging hints from git-buildpackage config: Handled by
    uscan + machine-readable copyright file.
  * Add lintian overrides regarding license in License-Reference field.
    See bug#786450.
  * Add lintian overrides regarding license name used both alone an in
    composition.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Jul 2017 13:46:21 +0200

libsdl1.2 (1.2.15+dfsg1-4) unstable; urgency=high

  * Urgency "high" to fix problems with migration of -dbg package.  Thanks
    Yann Dirson.
  * Ensure proper migration from -dbg package using "dh_strip
    --dbgsym-migration"
  * Bump debhelper dependency for --dbgsym-migration
  * Fix for reproducible builds:
    - sort files by name when creating "examples.tar.gz"

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 17 Mar 2016 12:15:31 +0000

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,28 @@
 Source: libsdl1.2
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
+Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
 Uploaders: Felix Geyer <fgeyer@debian.org>,
            Manuel A. Fernandez Montecelo <mafm@debian.org>
-Standards-Version: 3.9.7
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               dpkg-dev (>= 1.16.1~),
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
+Build-Depends: debhelper (>= 11~),
                nasm [any-i386],
-               libx11-dev, 
+               libx11-dev,
                libxext-dev,
                libxt-dev,
                libxv-dev,
                x11proto-core-dev,
-               libaudiofile-dev,
                libpulse-dev,
                libgl1-mesa-dev,
                libasound2-dev [linux-any],
                libcaca-dev,
                libusbhid-dev [kfreebsd-any],
                libglu1-mesa-dev
-Vcs-Git: https://anonscm.debian.org/git/pkg-sdl/packages/libsdl1.2.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sdl/packages/libsdl1.2.git
-Homepage: http://www.libsdl.org/
+Vcs-Git: https://salsa.debian.org/sdl-team/libsdl1.2.git
+Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl1.2
+Homepage: https://www.libsdl.org/
+
 
 Package: libsdl1.2debian
 Architecture: any

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts=dversionmangle=s/.dfsg\d+$//,repacksuffix=+dfsg1,pgpsigurlmangle=s/$/.sig/ \
  https://www.libsdl.org/release/SDL-([\d.]+)\.tar\.(?:gz|bz2|xz|lzma)

## libsdl1.2 1.2.15+dfsg2.1

=== debian/changelog ===
libsdl1.2 (1.2.15+dfsg2.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 448acb65947d00442fb9a72e173c7111d1dd37f4']

 -- shuttle <shuttle@deepin.com>  Wed, 16 Sep 2020 18:56:03 +0000

## libsdl1.2 1.2.15.3

=== src/main/macos/exports/Makefile ===

EXPORTS = SDL.x
HEADERS = \
	../../../../include/SDL.h \
	../../../../include/SDL_active.h \
	../../../../include/SDL_audio.h \
	../../../../include/SDL_byteorder.h \
	../../../../include/SDL_cdrom.h \
	../../../../include/SDL_copying.h \
	../../../../include/SDL_cpuinfo.h \
	../../../../include/SDL_endian.h \
	../../../../include/SDL_error.h \
	../../../../include/SDL_events.h \
	../../../../include/SDL_getenv.h \
	../../../../include/SDL_joystick.h \
	../../../../include/SDL_keyboard.h \
	../../../../include/SDL_keysym.h \
	../../../../include/SDL_loadso.h \
	../../../../include/SDL_mouse.h \
	../../../../include/SDL_mutex.h \
	../../../../include/SDL_name.h \
	../../../../include/SDL_platform.h \
	../../../../include/SDL_quit.h \
	../../../../include/SDL_rwops.h \
	../../../../include/SDL_syswm.h \
	../../../../include/SDL_thread.h \
	../../../../include/SDL_timer.h \
	../../../../include/SDL_types.h \
	../../../../include/SDL_version.h \
	../../../../include/SDL_video.h


all: $(EXPORTS)

$(EXPORTS): Makefile gendef.pl $(HEADERS)
	perl gendef.pl $(HEADERS) >$@ || rm $@

clean:
	rm -f $(EXPORTS)

=== debian/changelog ===
libsdl1.2 (1.2.15.3-1+dde) unstable; urgency=medium

  * fix CVE-2021-33657

 -- lishengyu <lishengyu@uniontech.com>  Tue, 12 Apr 2022 09:04:27 +0800

libsdl1.2 (1.2.15+dfsg2.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild

 -- zhouzilong <zhouzilong@uniontech.com>  Wed, 16 Sep 2020 18:56:21 +0800

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Rules-Requires-Root: no
 Build-Depends: debhelper (>= 11~),
                nasm [any-i386],
-               libx11-dev,
+               libx11-dev, 
                libxext-dev,
                libxt-dev,
                libxv-dev,

## libsdl1.2 1.2.15.5

=== debian/changelog ===
libsdl1.2 (1.2.15.5-deepin1) unstable; urgency=medium

  * Modifying the Version Number

 -- dinghao <dinghao@uniontech.com>  Mon, 31 Oct 2022 17:20:37 +0800

libsdl1.2 (1.2.15.4+deepin1) unstable; urgency=medium

  * fix CVE-2022-34568.

 -- dinghao <dinghao@uniontech.com>  Mon, 31 Oct 2022 16:32:50 +0800
